/**
 * 电压等级排序自定义比较start
 */
jQuery.fn.dataTableExt.oSort['number-fate-asc']  = function(s1,s2) {
    s1 = s1.replace('kV','');
    s2 = s2.replace('kV','');
    return Number(s1)-Number(s2);
};

jQuery.fn.dataTableExt.oSort['number-fate-desc'] = function(s1,s2) {
    s1 = s1.replace('kV','');
    s2 = s2.replace('kV','');
    return Number(s2)-Number(s1);
};
/**
 * 电压等级排序自定义比较end
 */


/**
 * 百分比数值自定义比较（包含 暂无数据 / 两种特殊情况）start
 */
jQuery.fn.dataTableExt.oSort['special-fate-asc']  = function(s1,s2) {
    s1=s1+'';
    s2=s2+'';
    if(s1.indexOf('暂无数据')>-1 ){
        s1 = -1;
    }else if(s1.indexOf('/')>-1 ){
        s1 = -2;
    }
    if(s2.indexOf('暂无数据')>-1 ){
        s2 = -1;
    }else if(s2.indexOf('/')>-1){
        s2 = -2;
    }
    return Number(s1)-Number(s2);
};

jQuery.fn.dataTableExt.oSort['special-fate-desc'] = function(s1,s2) {
    s1=s1+'';
    s2=s2+'';
    if(s1.indexOf('暂无数据')>-1 ){
        s1 = -1;
    }else if(s1.indexOf('/')>-1 ){
        s1 = -2;
    }
    if(s2.indexOf('暂无数据')>-1 ){
        s2 = -1;
    }else if(s2.indexOf('/')>-1){
        s2 = -2;
    }

    return Number(s2)-Number(s1);
};
/**
 * 百分比数值自定义比较（包含 暂无数据 / 两种特殊情况）end
 */
